#ifndef WORK_HPP
#define WORK_HPP

#include <iostream>
#include "treewalk.hpp"

using namespace std;

bool work_on(Semigroup& S,size_t* res){
  Stack stack;
  for(size_t g=0;g<=MAX_GENUS;++g){
    res[g]=0;
  }
  if(is_special(S)){
    res[S.genus]=1;
    Semigroup* root=stack.pushed();
    *root=S;
    walk(stack,res);
  }
  return false;
}


#endif
